uniform mat4 u_projTrans;

attribute vec4 a_position;
attribute vec4 a_color;
attribute vec2 a_texCoord0;
attribute float a_type;

varying vec4 v_color;
varying vec2 v_texCoords;
varying float v_type;

void main()
{
    v_type = a_type;
    v_color = a_color;
    v_color.a = v_color.a * (256.0/255.0);
    v_texCoords = a_texCoord0;
    gl_Position =  u_projTrans * a_position;
}
